Package gov.nasa.gsfc.sscweb.schema

# Class OutputOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.OutputOptions

public class OutputOptions extends Object
Data request output options. <p>Java class for OutputOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="OutputOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="AllLocationFilters" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="CoordinateOptions" type="{http://sscweb.gsfc.nasa.gov/schema}FilteredCoordinateOptions" maxOccurs="unbounded"/> <element name="RegionOptions" type="{http://sscweb.gsfc.nasa.gov/schema}RegionOptions" minOccurs="0"/> <element name="ValueOptions" type="{http://sscweb.gsfc.nasa.gov/schema}ValueOptions" minOccurs="0"/> <element name="DistanceFromOptions" type="{http://sscweb.gsfc.nasa.gov/schema}DistanceFromOptions" minOccurs="0"/> <element name="MinMaxPoints" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="BFieldTraceOptions" type="{http://sscweb.gsfc.nasa.gov/schema}BFieldTraceOptions" maxOccurs="unbounded" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `allLocationFilters`
  Specifies whether all or just one or more of the specified location filters must be satisfied.
  `protected List<BFieldTraceOptions>`
  `bFieldTraceOptions`
  Magnetic field trace options.
  `protected List<FilteredCoordinateOptions>`
  `coordinateOptions`
  Specifies the coordinate options.
  `protected DistanceFromOptions`
  `distanceFromOptions`
  Specifies the distance-from options.
  `protected int`
  `minMaxPoints`
  Number of points used to determine minima or maxima values.
  `protected RegionOptions`
  `regionOptions`
  Specifies the region options.
  `protected ValueOptions`
  `valueOptions`
  Specifies the value options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BFieldTraceOptions>`
  `getBFieldTraceOptions()`
  Magnetic field trace options.
  `List<FilteredCoordinateOptions>`
  `getCoordinateOptions()`
  Specifies the coordinate options.
  `DistanceFromOptions`
  `getDistanceFromOptions()`
  Specifies the distance-from options.
  `int`
  `getMinMaxPoints()`
  Number of points used to determine minima or maxima values.
  `RegionOptions`
  `getRegionOptions()`
  Specifies the region options.
  `ValueOptions`
  `getValueOptions()`
  Specifies the value options.
  `boolean`
  `isAllLocationFilters()`
  Specifies whether all or just one or more of the specified location filters must be satisfied.
  `void`
  `setAllLocationFilters(boolean value)`
  Sets the value of the allLocationFilters property.
  `void`
  `setDistanceFromOptions(DistanceFromOptions value)`
  Sets the value of the distanceFromOptions property.
  `void`
  `setMinMaxPoints(int value)`
  Sets the value of the minMaxPoints property.
  `void`
  `setRegionOptions(RegionOptions value)`
  Sets the value of the regionOptions property.
  `void`
  `setValueOptions(ValueOptions value)`
  Sets the value of the valueOptions property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allLocationFilters

    protected boolean allLocationFilters
    Specifies whether all or just one or more of the specified location filters must be satisfied.

  - ### coordinateOptions

    protected List<FilteredCoordinateOptions> coordinateOptions
    Specifies the coordinate options.

  - ### regionOptions

    protected RegionOptions regionOptions
    Specifies the region options.

  - ### valueOptions

    protected ValueOptions valueOptions
    Specifies the value options.

  - ### distanceFromOptions

    protected DistanceFromOptions distanceFromOptions
    Specifies the distance-from options.

  - ### minMaxPoints

    protected int minMaxPoints
    Number of points used to determine minima or maxima values.

  - ### bFieldTraceOptions

    protected List<BFieldTraceOptions> bFieldTraceOptions
    Magnetic field trace options.

- ## Constructor Details

  - ### OutputOptions

    public OutputOptions()

- ## Method Details

  - ### isAllLocationFilters

    public boolean isAllLocationFilters()
    Specifies whether all or just one or more of the specified location filters must be satisfied.

  - ### setAllLocationFilters

    public void setAllLocationFilters(boolean value)
    Sets the value of the allLocationFilters property.

  - ### getCoordinateOptions

    public List<FilteredCoordinateOptions> getCoordinateOptions()
    Specifies the coordinate options. Gets the value of the coordinateOptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the coordinateOptions property.

    For example, to add a new item, do as follows:

         getCoordinateOptions().add(newItem);

    Objects of the following type(s) are allowed in the list `FilteredCoordinateOptions`

    Returns:
      The value of the coordinateOptions property.

  - ### getRegionOptions

    public RegionOptions getRegionOptions()
    Specifies the region options.
    Returns:
      possible object is `RegionOptions`

  - ### setRegionOptions

    public void setRegionOptions(RegionOptions value)
    Sets the value of the regionOptions property.
    Parameters:
      `value` - allowed object is `RegionOptions`
    See Also:
      - `getRegionOptions()`

  - ### getValueOptions

    public ValueOptions getValueOptions()
    Specifies the value options.
    Returns:
      possible object is `ValueOptions`

  - ### setValueOptions

    public void setValueOptions(ValueOptions value)
    Sets the value of the valueOptions property.
    Parameters:
      `value` - allowed object is `ValueOptions`
    See Also:
      - `getValueOptions()`

  - ### getDistanceFromOptions

    public DistanceFromOptions getDistanceFromOptions()
    Specifies the distance-from options.
    Returns:
      possible object is `DistanceFromOptions`

  - ### setDistanceFromOptions

    public void setDistanceFromOptions(DistanceFromOptions value)
    Sets the value of the distanceFromOptions property.
    Parameters:
      `value` - allowed object is `DistanceFromOptions`
    See Also:
      - `getDistanceFromOptions()`

  - ### getMinMaxPoints

    public int getMinMaxPoints()
    Number of points used to determine minima or maxima values.

  - ### setMinMaxPoints

    public void setMinMaxPoints(int value)
    Sets the value of the minMaxPoints property.

  - ### getBFieldTraceOptions

    public List<BFieldTraceOptions> getBFieldTraceOptions()
    Magnetic field trace options. Gets the value of the bFieldTraceOptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the bFieldTraceOptions property.

    For example, to add a new item, do as follows:

         getBFieldTraceOptions().add(newItem);

    Objects of the following type(s) are allowed in the list `BFieldTraceOptions`

    Returns:
      The value of the bFieldTraceOptions property.